include:
  - project: researchable/general/templates/gitlab/base
    ref: master
    file: kaniko/build.yml

variables:
  IMAGE_NAME: researchableuser/ci-azure-func-utils
  IMAGE_TAGS: $CI_COMMIT_SHA,latest
  REGISTRY_USERNAME: $DOCKER_HUB_USERNAME
  REGISTRY_PASSWORD: $DOCKER_HUB_PASSWORD
  REGISTRY_HOST: index.docker.io
  CONTEXT: .

build:
  stage: build
  extends: .kaniko_build_job
  variables:
    REGISTRY_LOGIN_HOST_OVERWRITE: https://index.docker.io/v1/

